package org.khelekore.jsizer;

import java.awt.Color;

/** A factory that creates a TreeNode from a ClassSize using
 *  used classes, methods and method lines as the metrics.
 */
public class ClassUseTreeNodeFactory extends TreeNodeFactoryBase {

    public ClassUseTreeNodeFactory (ColorHandler colorHandler) {
	super (colorHandler, "Classes", "Methods", "Method lines");
    }

    public TreeNode create (ClassSize cs, String name) {
	Color color = getColorHandler ().getColor (cs);
	return new TreeNode (cs, name, cs.getNumUsedClasses (), 
			     cs.getNumMethods (), 
			     cs.getNumMethodLines (), 
			     color);
    }
}
