package org.khelekore.jsizer;

import java.awt.Color;

/** A factory that creates a TreeNode from a ClassSize using
 *  fields, methods and method lines as the metrics.
 */
public class DefaultTreeNodeFactory extends TreeNodeFactoryBase {
    public DefaultTreeNodeFactory (ColorHandler colorHandler) {
	super (colorHandler, "Fields", "Methods", "Method lines");
    }
    
    public TreeNode create (ClassSize cs, String name) {
	Color color = getColorHandler ().getColor (cs);
	return new TreeNode (cs, name, cs.getNumFields (), 
			     cs.getNumMethods (), 
			     cs.getNumMethodLines (), 
			     color);
    }
}
