package org.khelekore.jsizer;

import java.awt.Color;

/** A factory that creates a TreeNode that all have the same color and size 
 */
public class EqualSizeTreeNodeFactory implements TreeNodeFactory {
    private static final int WIDTH = 10;
    private static final int HEIGHT = 80;
    private static final int Z = 1;
    private static final Color COLOR = new Color (192, 192, 192);

    public TreeNode create (String name) {
	return new TreeNode (name);
    }
    
    public TreeNode create (ClassSize cs, String name) {
	return new TreeNode (cs, name, WIDTH, HEIGHT, Z, COLOR);
    }

    public String getWidthMetrics (){
	return "Width";
    }

    public String getHeightMetrics (){
	return "Height";
    }

    public String getZMetrics (){
	return "Z";
    }
}
