package org.khelekore.jsizer;

import java.io.Serializable;
import java.util.List;

/** A converter from a Collection of ClassSize objects into a Graph of TreeNode
 */
public interface GraphBuilder extends Serializable {
    /** Build the graph to display for a given collection of classes. */
    List<TreeNode> buildGraph (List<ClassSize> classes, TreeNodeFactory factory);

    /** 
     * @return true if the TreeNode:s have full names, 
     *         false if the names should be concattenated with parent 
     *         node names.
     */
    boolean hasFullName (); 
}
