package org.khelekore.jsizer;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.util.List;

public class NodeInspector extends MouseAdapter {
    private final JSizer jsizer;
    private final SizePanel sp;

    public NodeInspector (JSizer jsizer, SizePanel sp) {
	this.jsizer = jsizer;
	this.sp = sp;
    }

    @Override public void mouseClicked (MouseEvent e) {
	List<TreeNode> ls = sp.getNodesAt (e);
	if (ls.isEmpty ())
	    return;
	TreeNode tn = ls.get (ls.size () - 1);
	ClassSize cs = tn.getClassSize ();
	if (cs == null) {
	    jsizer.log ("Clicked on: " + tn.getName ());	    
	} else {
	    jsizer.log ("Clicked on: " + cs.getClassName () + 
			": fields: " + cs.getNumFields () + 
			", methods: " + cs.getNumMethods () + 
			", lines of code: " + cs.getNumMethodLines () + 
			", used classes: " + cs.getNumUsedClasses ());
	}
    }
}