package org.khelekore.jsizer;

import java.io.Serializable;

/** A factory that creates a TreeNode from a ClassSize 
 */
public interface TreeNodeFactory extends Serializable {
    /** Create a new TreeNode with just a name. */
    TreeNode create (String name);
    
    /** Create a tree node for the given ClassSize */
    TreeNode create (ClassSize size, String name);

    /** Get the description of the width metrics */
    String getWidthMetrics ();

    /** Get the description of the height metrics */
    String getHeightMetrics ();

    /** Get the description of the depth/color metrics */
    String getZMetrics ();
}
