package org.khelekore.jsizer;

import java.awt.Color;

/** A factory that creates a TreeNode from a ClassSize 
 */
public abstract class TreeNodeFactoryBase implements TreeNodeFactory {
    private final ColorHandler colorHandler;
    private final String width;
    private final String height;
    private final String z;

    public TreeNodeFactoryBase (ColorHandler colorHandler, 
				String width, String height, String z) {
	this.colorHandler = colorHandler;
	this.width = width;
	this.height = height;
	this.z = z;
    }

    public ColorHandler getColorHandler () {
	return colorHandler;
    }

    public TreeNode create (String name) {
	return new TreeNode (name);
    }
    
    public String getWidthMetrics (){
	return width;
    }

    public String getHeightMetrics (){
	return height;
    }

    public String getZMetrics (){
	return z;
    }
}
