package org.khelekore.jsizer.actions;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.khelekore.jsizer.ClassUseTreeNodeFactory;
import org.khelekore.jsizer.SizePanel;
import org.khelekore.jsizer.TreeNodeFactory;

/** An action that sets the tree node factory to the default factory.
 */
public class ClassUseTreeNodeFactoryAction extends AbstractAction {
    private SizePanel sp;

    public ClassUseTreeNodeFactoryAction (SizePanel sp) {
	super ("Class use tree nodes (used classes/methods/loc)");
	this.sp = sp;
    }

    public void actionPerformed (ActionEvent e) {
	TreeNodeFactory treeNodeFactory = 
	    new ClassUseTreeNodeFactory (sp.getColorHandler ());
	sp.setTreeNodeFactory (treeNodeFactory);
    }
}