package org.khelekore.jsizer.actions;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.khelekore.jsizer.DefaultTreeNodeFactory;
import org.khelekore.jsizer.SizePanel;
import org.khelekore.jsizer.TreeNodeFactory;

/** An action that sets the tree node factory to the default factory.
 */
public class DefaultTreeNodeFactoryAction extends AbstractAction {
    private SizePanel sp;

    public DefaultTreeNodeFactoryAction (SizePanel sp) {
	super ("Default tree nodes (fields/methods/loc)");
	this.sp = sp;
    }

    public void actionPerformed (ActionEvent e) {
	TreeNodeFactory treeNodeFactory = 
	    new DefaultTreeNodeFactory (sp.getColorHandler ());
	sp.setTreeNodeFactory (treeNodeFactory);
    }
}